ExpirationDateOverflowHandling.ExpirationDateOverflowPolicy (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db

## Enum ExpirationDateOverflowHandling.ExpirationDateOverflowPolicy

- java.lang.Object
- - java.lang.Enum<ExpirationDateOverflowHandling.ExpirationDateOverflowPolicy>
  - - org.apache.cassandra.db.ExpirationDateOverflowHandling.ExpirationDateOverflowPolicy

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ExpirationDateOverflowHandling.ExpirationDateOverflowPolicy>
  Enclosing class:
    ExpirationDateOverflowHandling

      public static enum ExpirationDateOverflowHandling.ExpirationDateOverflowPolicy
      extends java.lang.Enum<ExpirationDateOverflowHandling.ExpirationDateOverflowPolicy>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CAP`
    `CAP_NOWARN`
    `REJECT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ExpirationDateOverflowHandling.ExpirationDateOverflowPolicy` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ExpirationDateOverflowHandling.ExpirationDateOverflowPolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REJECT

          public static final ExpirationDateOverflowHandling.ExpirationDateOverflowPolicy REJECT

    - #### CAP_NOWARN

          public static final ExpirationDateOverflowHandling.ExpirationDateOverflowPolicy CAP_NOWARN

    - #### CAP

          public static final ExpirationDateOverflowHandling.ExpirationDateOverflowPolicy CAP

  - ### Method Detail

    - #### values

          public static ExpirationDateOverflowHandling.ExpirationDateOverflowPolicy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ExpirationDateOverflowHandling.ExpirationDateOverflowPolicy c : ExpirationDateOverflowHandling.ExpirationDateOverflowPolicy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ExpirationDateOverflowHandling.ExpirationDateOverflowPolicy valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 The Apache Software Foundation